1.6.4 not works with Firefox 18 Puntuado con 2 de 5 estrellas

Please fix this great add-on. the latest Version 1.6.4 not works
with Firefox 18. Download not starts. I hope you will fix this as
soon as possible. Thank you for your hart work!!

Esta valoración es de una versión anterior del complemento (1.6.4.1-signed).  Este usuario tiene otras valoraciones de este complemento.

Fixed

Hi! Should be working now (with version 1.6.5). Thanks for reporting!